How can I upgrade a BIRT 2.5 report to BIRT 4.2

I have an error with BIRT. I want to run a Report, which works fine in BIRT 2.5, in BIRT 4.2, but it gives the error message:

java.sql.SQLException: Not supported function (Element ID:250)

Also, how can I upgrade/convert an old report to BIRT 4.2

Thanks in advance!

Answers


As a rule, all ealier BIRT reports will work on later platforms. There may be some minor error in the orginal 2.5 report that was not an issue, but now causes an error in 4.2. If you switch from 'Layout' view to 'XML Source' view you can search for the ID '250' to narrow down which element is causing the issue, and correct it.


Need Your Help

Why same piece of (simple) Java code behaves very differently on different Android devices?

android compiler-construction java str-replace

Why same piece of (simple) Java code behaves very differently on different Android devices?

getting soundcloud authorization code in django

django soundcloud

I'm attempting to have soundcloud authorize my django app, which i have successfully registered with soundcloud. I pass in the details supplied during registration as well as the callback uri

About UNIX Resources Network

Original, collect and organize Developers related documents, information and materials, contains jQuery, Html, CSS, MySQL, .NET, ASP.NET, SQL, objective-c, iPhone, Ruby on Rails, C, SQL Server, Ruby, Arrays, Regex, ASP.NET MVC, WPF, XML, Ajax, DataBase, and so on.